My webserver was running apache 1.3 with php3 compiled in as a module. A couple of days ago, I installed apache 2 and enabled DSO, so that I could change php versions without recompiling apache. I went ahead and tried the latest php4:

I ./configure'd it --with-apxs2=/path/to/apache2/bin/apxs

Anyway, php4 broke my code so completely that I need to restore php3 and work on porting the site on another box.

If I recompile php3, how do I swap it with php4? is apache2 compatible with php3?